OGRTINDEX(1)

NAME
ogrtindex - Creates a tileindex.

SYNOPSIS

ogrtindex [--help] [--help-general]
          [-lnum <n>]... [-lname <name>]... [-f <output_format>]
          [-write_absolute_path] [-skip_different_projection]
          [-t_srs <target_srs>]
          [-src_srs_name <field_name>] [-src_srs_format {AUTO|WKT|EPSG|PROJ}]
          [-accept_different_schemas]
          <output_dataset> <src_dataset> <src_dataset>...

DESCRIPTION

ogrtindex program can be used to create a tileindex - a file containing a list of the identities of a bunch of other files along with their spatial extents. This is primarily intended to be used with MapServer for tiled access to layers using the OGR connection type.

--help
    Show this help message and exit

--help-general
    Gives a brief usage message for the generic GDAL commandline options and exit.

-lnum <n>
    Add layer number n from each source file in the tile index.

-lname <name>
    Add the layer named name from each source file in the tile index.

-f <output_format>
    Select an output format name. The default is to create a shapefile.

-tileindex <field_name>
    The name to use for the dataset name. Defaults to LOCATION.

-write_absolute_path
    Filenames are written with absolute paths

-skip_different_projection
    Only layers with same projection ref as layers already inserted in the tileindex will be inserted.

-t_srs <target_srs>
    Extent of input files will be transformed to the desired target coordinate reference system. Using this option generates files that are not compatible with MapServer < 7.2. Default creates simple rectangular polygons in the same coordinate reference system as the input vector layers.

    New in version 2.2.0.

-src_srs_name <field_name>
    The name of the field to store the SRS of each tile. This field name can be used as the value of the TILESRS keyword in MapServer >= 7.2.

    New in version 2.2.0.

-src_srs_format {AUTO|WKT|EPSG|PROJ}
    The format in which the SRS of each tile must be written. Available formats are: AUTO, WKT, EPSG, PROJ.

    New in version 2.2.0.

-accept_different_schemas
    By default ogrtindex checks that all layers inserted into the index have the same attribute schemas. If you specify this option, this test will be disabled. Be aware that resulting index may be incompatible with MapServer!

    If no -lnum or -lname arguments are given it is assumed that all layers in source datasets should be added to the tile index as independent records.

    If the tile index already exists it will be appended to, otherwise it will be created.

EXAMPLE

This example would create a shapefile (tindex.shp) containing a tile index of the BL2000_LINK layers in all the NTF files in the wrk directory:

ogrtindex tindex.shp wrk/*.NTF 1069148.900,419873.100 1069147.500,419870.200
  1069146.400,419862.100 1069143.000,419860 1069142,419854.900
  1069138.600,419850 1069135,419848.800 1069134.100,419843
  1069130,419836.200 1069127.600,419824.600 1069123.800,419820.200
  1069126.900,419815.500 1069126.900,419808.200 1069116.500,419798.700
  1069117.600,419794.100 1069115.100,419796.300 1069109.100,419801.800
  1069106.800,419805.000  1069107.300)

AUTHOR
Frank Warmerdam <warmerdam@pobox.com>, Silke Reimer <silke@intevation.de>

COPYRIGHT
1998-2024